org.apache.hc.core5.testing.framework

## Class FrameworkTest

- java.lang.Object
- - org.apache.hc.core5.testing.framework.FrameworkTest

-     public class FrameworkTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameworkTest()` Constructs a test with default values.
    `FrameworkTest(Map<String,Object> test)` Constructs a test with values that are passed in as well as defaults for values that are not passed in.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `initRequest()` Returns a request with defaults for any parameter that is not specified.
    `Map<String,Object>` | `initResponseExpectations()` Returns an expected response with defaults for any parameter that is not specified.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameworkTest

          public FrameworkTest()

      Constructs a test with default values.

    - #### FrameworkTest

          public FrameworkTest(Map<String,Object> test)

      Constructs a test with values that are passed in as well as defaults for values that are not passed in.
      Parameters:
        `test` - Contains a REQUEST and an expected RESPONSE. See `ClientPOJOAdapter` for details.

  - ### Method Detail

    - #### initRequest

          public Map<String,Object> initRequest()
                                         throws TestingFrameworkException

      Returns a request with defaults for any parameter that is not specified.
      Returns:
        a REQUEST map.
      Throws:
        `TestingFrameworkException` - a problem such as an invalid URL

    - #### initResponseExpectations

          public Map<String,Object> initResponseExpectations()

      Returns an expected response with defaults for any parameter that is not specified.
      Returns:
        the RESPONSE map.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.